Bug 1364711 - hplip and license problem
Summary: hplip and license problem
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: hplip (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zdenek Dohnal
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-Legal
TreeView+ depends on / blocked
 
Reported: 2016-08-06 12:37 UTC by mejiko
Modified: 2016-08-09 12:25 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-08-09 12:25:07 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch (13.42 KB, patch)
2016-08-08 15:59 UTC, Zdenek Dohnal
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 816870 None None None 2016-08-06 12:37 UTC
Launchpad 1553628 None None None 2016-08-08 16:13 UTC

Description mejiko 2016-08-06 12:37:01 UTC
Hello.

hplip included questionable licensed code.

File List:

"prnt/hpcups/ErnieFilter.h"
"prnt/hpcups/ErnieFilter.cpp"

This license is "hardware specific" license.
It is non-free, incompatible GPL license.

This is code (software), not firmware.


This problem already reported. (Debian)

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=816870


I suggest that resolve license problem.


Thanks.

Comment 1 Zdenek Dohnal 2016-08-08 15:59 UTC
Created attachment 1188843 [details]
Patch

I removed files with proprietary license and disabled features using it (PCL3GUI2). Package was built in RAWHIDE.


Note You need to log in before you can comment on or make changes to this bug.